 Program ToFigureCompareCatForTeX ;
 Var
   fr,ft  : Text ;
   tn,tk  : Extended ;
   mx,my  : LongInt ;
   px,py  : LongInt ;
   hx,hy  : LongInt ;
   hynul  : LongInt ;
   am,bm  : Extended ;
   tc,pc  : Extended ;
   ax,ay  : Extended ;
   bx,by  : Extended ;
   xm,ym  : Extended ;
   xs,ys  : Extended ;
   ac     : Extended ;
   ns,nc  : Word ;
 Begin
   Assign(fr,'compcat1.prt'); { file with the numbers }
   ReSet(fr);
   tn:=+1.0e10;
   tk:=-1.0e10;
   am:=+1.0e10;
   bm:=-1.0e10;
   pc:=0;
   hynul:=0;
   While  NOT EOF(fr)  Do
     Begin
       ReadLn(fr,ns,nc,ax,ay,bx,by);
       pc:=pc+1;
       bx:=bx; { in arc second }
       by:=by; { in arc second }
       If  bx < am  Then  am:=bx; { minimum }
       If  bx > bm  Then  bm:=bx; { maximum }
       If  by < am  Then  am:=by; { minimum }
       If  by > bm  Then  bm:=by; { maximum }
       am:=-2.0; { minimum arcsec }
       bm:=+2.0; { maximum arcsec }
     End;
   ym:=bm; { maximum on half y }
   WriteLn('number of points',pc:6:0);
   WriteLn('minimum and maximum',am:12:6,bm:12:6);
   pc:=182.0; { along the delta position }
   mx:=500; { area on x for two scales 2 * 240 }
   my:=200; { area on y }
   hx:=10; { the initial nullo point }
   hy:=my div 2; { for the axes x and y }
   xs:=((mx div 2)-2*hx-10)/pc; { unit scale on x axis , pc number of point }
   ys:=(hy-5)/ym; { unit scale on y axis }
   WriteLn('unit on scale x and y',xs:18:10,ys:18:10);
   Assign(ft,'iaur01f1.tex'); { file with the TeX commands }
   ReWrite(ft);
   WriteLn(ft,'\begin{figure}[h]');
   WriteLn(ft,' \begin{center}');
   WriteLn(ft,' \begin{picture}(',(mx+10):3,',',(my+10):3,')'); { area }
   WriteLn(ft,'  \put(',hx:2,',',hynul:2, { the first axis OX }
              '){\vector(1,0){',((mx div 2)-2*hx):3,'}}');
   WriteLn(ft,'  \put(',hx:2,',0',
              '){\vector(0,1){',my:3,'}}'); { axis OY }
   WriteLn(ft,'  \put(',(hx-10):1,',',(hy-4):2,'){0}'); { point 0 }
   WriteLn(ft,'  \put(',(hx-3):1,',',(my+2):3,
              '){${\bf \Delta \lambda \cdot \cos{\varphi}}$',
              ' in ArcSec}'); { end Y }
   WriteLn(ft,'  \put(',((mx div 2)+hx):2,',',hynul:2, { the second axis OX }
              '){\vector(1,0){',((mx div 2)-2*hx):3,'}}');
   WriteLn(ft,'  \put(',((mx div 2)+hx):2,',0',
              '){\vector(0,1){',my:3,'}}'); { axis OY }
   WriteLn(ft,'  \put(',((mx div 2)+hx-10):1,',',(hy-4):2,'){0}'); { point 0 }
   WriteLn(ft,'  \put(',(mx-6):3,',',hynul:1,'){${\bf \varphi}$}'); { end X }
   WriteLn(ft,'  \put(',((mx div 2)+hx-3):1,',',(my+2):3,
              '){${\bf \Delta \varphi}$ in ArcSec}'); { end Y }
   WriteLn(ft,'% unit on the first x axis');
   tc:=30;
   Repeat
     px:=hx+Round(xs*tc);
     py:=hynul;
     WriteLn(ft,'   \put(',px:1,',',py:1,'){\line(0,1){3}}'); { on x }
     tc:=tc+30;
   Until  ( tc > pc ) ;
   tc:=90;
   Repeat
     px:=hx+Round(xs*tc);
     py:=hynul;
     WriteLn(ft,'   \put(',px:1,',',py:1,'){\line(0,1){5}}'); { on x }
     tc:=tc+90;
   Until  ( tc > pc ) ;
   px:=hx+Round(90*xs)-2;
   py:=hynul+10;
   WriteLn(ft,'  \put(',px:1,',',py:1,'){$0^{\circ}$}');
   px:=hx+Round(180*xs)-10;
   py:=hynul+10;
   WriteLn(ft,'  \put(',px:1,',',py:1,'){$+90^{\circ}$}');
   WriteLn(ft,'% unit on the second x axis');
   tc:=30;
   Repeat
     px:=(mx div 2)+hx+Round(xs*tc);
     py:=hynul;
     WriteLn(ft,'   \put(',px:1,',',py:1,'){\line(0,1){3}}'); { on x }
     tc:=tc+30;
   Until  ( tc > pc ) ;
   tc:=90;
   Repeat
     px:=(mx div 2)+hx+Round(xs*tc);
     py:=hynul;
     WriteLn(ft,'   \put(',px:1,',',py:1,'){\line(0,1){5}}'); { on x }
     tc:=tc+90;
   Until  ( tc > pc ) ;
   px:=(mx div 2)+hx+Round(90*xs)-2;
   py:=hynul+10;
   WriteLn(ft,'  \put(',px:1,',',py:1,'){$0^{\circ}$}');
   px:=(mx div 2)+hx+Round(180*xs)-10;
   py:=hynul+10;
   WriteLn(ft,'  \put(',px:1,',',py:1,'){$+90^{\circ}$}');
   WriteLn(ft,'% unit on the first y axis');
   ac:=+0.5;
   Repeat
     px:=hx;
     py:=hy+Round(ys*ac);
     WriteLn(ft,'   \put(',px:1,',',py:1,'){\line(1,0){3}}'); { on y }
     ac:=ac+0.5;
   Until  ac > ym ;
   ac:=-0.5;
   Repeat
     px:=hx;
     py:=hy+Round(ys*ac);
     WriteLn(ft,'   \put(',px:1,',',py:1,'){\line(1,0){3}}'); { on y }
     ac:=ac-0.5;
   Until  Abs(ac) > ym ;
   xm:=-1;
   ac:=-1;
   Repeat
     px:=hx;
     py:=hy+Round(ys*ac);
     WriteLn(ft,'   \put(',px:1,',',py:1,'){\line(1,0){5}}'); { on y }
     px:=px+8;
     py:=py-3;
     If  xm > 0
       Then
         WriteLn(ft,'    \put(',px:1,',',py:1,'){',Round(xm):1,'}')
       Else
         If  xm < 0
           Then
             WriteLn(ft,'    \put(',px:1,',',py:1,'){',Round(xm):1,'}');
     xm:=xm+1;
     ac:=ac+1;
   Until  ac > ym ;
   WriteLn(ft,'% unit on the second y axis');
   ac:=+0.5;
   Repeat
     px:=(mx div 2)+hx;
     py:=hy+Round(ys*ac);
     WriteLn(ft,'   \put(',px:1,',',py:1,'){\line(1,0){3}}'); { on y }
     ac:=ac+0.5;
   Until  ac > ym ;
   ac:=-0.5;
   Repeat
     px:=(mx div 2)+hx;
     py:=hy+Round(ys*ac);
     WriteLn(ft,'   \put(',px:1,',',py:1,'){\line(1,0){3}}'); { on y }
     ac:=ac-0.5;
   Until  Abs(ac) > ym ;
   xm:=-1;
   ac:=-1;
   Repeat
     px:=(mx div 2)+hx;
     py:=hy+Round(ys*ac);
     WriteLn(ft,'   \put(',px:1,',',py:1,'){\line(1,0){5}}'); { on y }
     px:=px+8;
     py:=py-3;
     If  xm > 0
       Then
         WriteLn(ft,'    \put(',px:1,',',py:1,'){',Round(xm):1,'}')
       Else
         If  xm < 0
           Then
             WriteLn(ft,'    \put(',px:1,',',py:1,'){',Round(xm):1,'}');
     xm:=xm+1;
     ac:=ac+1;
   Until  ac > ym ;
   WriteLn(ft,'  % point by point');
   ReSet(fr); { to read point by point }
   pc:=0.0;
   While  NOT EOF(fr)  Do
     Begin
       ReadLn(fr,ns,nc,ax,ay,bx,by); { the current point }
       pc:=ay+90.0; { delta in degree }
       bx:=bx; { in arc second }
       by:=by; { in arc second }
       px:=hx+Round(xs*pc); { point on the first x }
       py:=hy+Round(ys*bx); { point on the first y for alpha  }
       WriteLn(ft,'    \put(',px:1,',',py:1,
                  '){\circle*{2}}');
       px:=(mx div 2)+hx+Round(xs*pc); { point on the second x }
       py:=hy+Round(ys*by); { point on the second y for delta }
       WriteLn(ft,'    \put(',px:1,',',py:1,
                  '){\circle*{2}}');
     End;
   Close(fr);
   WriteLn(ft,' \end{picture}');
   WriteLn(ft,' \end{center}');
   WriteLn(ft,' \caption{  ⥬  2000 }');
   WriteLn(ft,' \label{dif000}');
   WriteLn(ft,'\end{figure}');
   Close(ft);
 End.