 Program ToFigureRelativeDifference ;
 Var
   fr,ft  : Text ;
   tn,tk  : Extended ;
   mx,my  : LongInt ;
   px,py  : LongInt ;
   hx,hy  : LongInt ;
   am,bm  : Extended ;
   tc,pc  : Extended ;
   ax,ay  : Extended ;
   bx,by  : Extended ;
   xm,ym  : Extended ;
   xs,ys  : Extended ;
   yt,yx  : Extended ;
   ac     : Extended ;
 Begin
   Assign(fr,'relatdif.prt'); { file with the numbers }
   ReSet(fr);
   tn:=+1.0e10;
   tk:=-1.0e10;
   am:=+0.0;
   bm:=+0.0;
   pc:=0; { numer of point }
   While  NOT EOF(fr)  Do
     Begin
       ReadLn(fr,tc,ax,ay);
       pc:=pc+1;
       ax:=1.0e6*ax; { in micro second }
       ay:=1.0e6*ay; { in mm }
       If  ( Abs(ax) > am )  Then  am:=Abs(ax); { maximum on half y }
       If  ( Abs(ay) > bm )  Then  bm:=Abs(ay); { maximum on half y }
     End;
   WriteLn('minimum and maximum',am:12:6,bm:12:6);
   mx:=500; { area on x for two scales 2 * 240 }
   my:=200; { area on y }
   hx:=10; { the initial nullo point }
   hy:=my div 2; { for the axes x and y }
   xs:=((mx div 2)-2*hx-10)/pc; { unit scale on x axis , pc number of point }
   yt:=(hy-5)/am; { unit scale t on y axis }
   yx:=(hy-5)/bm; { unit scale x on y axis }
   WriteLn('unit on scale x and y',xs:18:10,yt:18:10);
   Assign(ft,'iaur02f1.tex'); { file with the TeX commands }
   ReWrite(ft);
   WriteLn(ft,'\begin{figure}[h]');
   WriteLn(ft,' \begin{center}');
   WriteLn(ft,' \begin{picture}(',(mx+10):3,',',(my+10):3,')'); { area }
   WriteLn(ft,'  \put(',hx:2,',',hy:2, { the first axis OX }
              '){\vector(1,0){',((mx div 2)-2*hx):3,'}}');
   WriteLn(ft,'  \put(',hx:2,',0',
              '){\vector(0,1){',my:3,'}}'); { axis OY }
   WriteLn(ft,'  \put(',(hx-10):1,',',(hy-4):2,'){0}'); { point 0 }
   WriteLn(ft,'  \put(',(hx-3):1,',',(my+2):3,
              '){${\bf \delta t}$ in microsecond}'); { end Y }
   WriteLn(ft,'  \put(',((mx div 2)+hx):2,',',hy:2, { the second axis OX }
              '){\vector(1,0){',((mx div 2)-2*hx):3,'}}');
   WriteLn(ft,'  \put(',((mx div 2)+hx):2,',0',
              '){\vector(0,1){',my:3,'}}'); { axis OY }
   WriteLn(ft,'  \put(',((mx div 2)+hx-10):1,',',(hy-4):2,'){0}'); { point 0 }
   WriteLn(ft,'  \put(',(mx-2):3,',',(hy-4):2,
              '){{\bf t}}'); { end X }
   WriteLn(ft,'  \put(',((mx div 2)+hx-3):1,',',(my+2):3,
              '){${\bf \delta x}$ in millimetr}'); { end Y }
   WriteLn(ft,'% unit on the first x axis');
   tc:=100;
   Repeat
     px:=hx+Round(xs*tc);
     py:=hy;
     WriteLn(ft,'   \put(',px:1,',',py:1,'){\line(0,1){5}}'); { on x }
     tc:=tc+100;
   Until  ( tc > pc ) ;
   WriteLn(ft,'% unit on the second x axis');
   tc:=100;
   Repeat
     px:=(mx div 2)+hx+Round(xs*tc);
     py:=hy;
     WriteLn(ft,'   \put(',px:1,',',py:1,'){\line(0,1){5}}'); { on x }
     tc:=tc+100;
   Until  ( tc > pc ) ;
   WriteLn(ft,'% unit on the first y axis');
   ac:=+1.0;
   Repeat
     px:=hx;
     py:=hy+Round(yt*ac);
     WriteLn(ft,'   \put(',px:1,',',py:1,'){\line(1,0){3}}'); { on y }
     ac:=ac+1.0;
   Until  ac > am ;
   ac:=-1.0;
   Repeat
     px:=hx;
     py:=hy+Round(yt*ac);
     WriteLn(ft,'   \put(',px:1,',',py:1,'){\line(1,0){3}}'); { on y }
     ac:=ac-1.0;
   Until  Abs(ac) > am ;
   xm:=+10.0;
   ac:=+10.0;
   Repeat
     px:=hx;
     py:=hy+Round(yt*ac);
     WriteLn(ft,'   \put(',px:1,',',py:1,'){\line(1,0){5}}'); { on y }
     px:=px+8;
     py:=py-3;
     WriteLn(ft,'    \put(',px:1,',',py:1,'){',Round(xm):2,'}');
     xm:=xm+10.0;
     ac:=ac+500.0;
   Until  ac > am ;
   xm:=-10.0;
   ac:=-10.0;
   Repeat
     px:=hx;
     py:=hy+Round(yt*ac);
     WriteLn(ft,'   \put(',px:1,',',py:1,'){\line(1,0){5}}'); { on y }
     px:=px+8;
     py:=py-4;
     WriteLn(ft,'    \put(',px:1,',',py:1,'){',Round(xm):2,'}');
     xm:=xm-10.0;
     ac:=ac-10.0;
   Until  Abs(ac) > am ;
   WriteLn(ft,'% unit on the second y axis');
   ys:=yx;
   ym:=bm;
   ac:=+100.0;
   Repeat
     px:=(mx div 2)+hx;
     py:=hy+Round(ys*ac);
     WriteLn(ft,'   \put(',px:1,',',py:1,'){\line(1,0){3}}'); { on y }
     ac:=ac+100.0;
   Until  ac > ym ;
   ac:=-100.0;
   Repeat
     px:=(mx div 2)+hx;
     py:=hy+Round(ys*ac);
     WriteLn(ft,'   \put(',px:1,',',py:1,'){\line(1,0){3}}'); { on y }
     ac:=ac-100.0;
   Until  Abs(ac) > ym ;
   xm:=+500.0;
   ac:=+500.0;
   Repeat
     px:=(mx div 2)+hx;
     py:=hy+Round(ys*ac);
     WriteLn(ft,'   \put(',px:1,',',py:1,'){\line(1,0){5}}'); { on y }
     px:=px+8;
     py:=py-3;
     WriteLn(ft,'    \put(',px:1,',',py:1,'){',Round(xm):2,'}');
     xm:=xm+500.0;
     ac:=ac+500.0;
   Until  ac > ym ;
   xm:=-500.0;
   ac:=-500.0;
   Repeat
     px:=(mx div 2)+hx;
     py:=hy+Round(ys*ac);
     WriteLn(ft,'   \put(',px:1,',',py:1,'){\line(1,0){5}}'); { on y }
     px:=px+8;
     py:=py-4;
     WriteLn(ft,'    \put(',px:1,',',py:1,'){',Round(xm):2,'}');
     xm:=xm-500.0;
     ac:=ac-500.0;
   Until  Abs(ac) > ym ;
   WriteLn(ft,'  % point by point');
   ReSet(fr); { to read point by point }
   pc:=0.0;
   While  NOT EOF(fr)  Do
     Begin
       ReadLn(fr,tc,ax,ay); { the current point }
       pc:=pc+1;
       ax:=1.0e6*ax; { in micro second }
       ay:=1.0e6*ay; { in mm }
       px:=hx+Round(xs*pc); { point on the first x }
       py:=hy+Round(yt*ax); { point on the first y t }
       WriteLn(ft,'    \put(',px:1,',',py:1,
                  '){\circle*{2}}');
       px:=(mx div 2)+hx+Round(xs*pc); { point on the second x }
       py:=hy+Round(yx*ay); { point on the second y x }
       WriteLn(ft,'    \put(',px:1,',',py:1,
                  '){\circle*{2}}');
     End;
   Close(fr);
   WriteLn(ft,' \end{picture}');
   WriteLn(ft,' \end{center}');
   WriteLn(ft,' \caption{⨢᪨ ࠢ}');
   WriteLn(ft,' \label{difrel}');
   WriteLn(ft,'\end{figure}');
   Close(ft);
 End.