 Program CompPrecNut ;
 Uses
   ZUnCoTy , ZUnutC , Un2000_L ;
 Var
   fout  : Text ;
   FundArg  : TypeFundArg ;
   ModJulDate  : Double ;
   DeltaPsi,DeltaEps,EpsMean  : Extended ;
   JulianDate  : Extended ;
   DPsi,DEps   : Extended ;
   DateJulMax  : Extended ;
   ddpsi,ddeps : Extended ;
   BPsi,BEps   : Extended ;
 Begin
   BPsi:=-16.6170; { in mas }
   BEps:= -6.8192; { in mas }
   Assign(fout,'comp_pn.prt');
   ReWrite(fout);
   DateJulMax:=DifEpoch+49840.0;;
   ModJulDate:=45569.0;
   JulianDate:=DifEpoch+ModJulDate;
   While  JulianDate < DateJulMax  Do
     Begin
       ModJulDate:=ModJulDate+5.0;
       ClcNut(ModJulDate,FundArg,DeltaPsi,DeltaEps,EpsMean); { in radian }
       JulianDate:=DifEpoch+ModJulDate;
       NutParmLuSo(JulianDate,DPsi,DEps); { in arcsec }
       ddpsi:=1.0e3*(RadSec*DeltaPsi-DPsi); { in mas }
       ddeps:=1.0e3*(RadSec*DeltaEps-DEps); { in mas }
       ddpsi:=ddpsi+BPsi;
       ddeps:=ddeps+BEps;
       WriteLn(ModJulDate:12:2,
               1.0e3*DPsi:16:4,ddpsi:13:4,
               1.0e3*DEps:16:4,ddeps:13:4);
       WriteLn(fout,ModJulDate:12:2,
                    1.0e3*DPsi:16:4,ddpsi:13:4,
                    1.0e3*DEps:16:4,ddeps:13:4);
     End;
   Close(fout);
 End.