 Program ToFigureCompareCatForTeX ;
 Var
   fr,ft  : Text ;
   tn,tk  : Extended ;
   mx,my  : LongInt ;
   kx,ky  : LongInt ;
   px,py  : LongInt ;
   hx,hy  : LongInt ;
   hynul  : LongInt ;
   hycur  : LongInt ;
   am,bm  : Extended ;
   tc,pc  : Extended ;
   ax,ay  : Extended ;
   bx,by  : Extended ;
   xm,ym  : Extended ;
   xs,ys  : Extended ;
   ac     : Extended ;
   ns,nc  : Word ;
   nvar   : Byte ;
 Begin
   am:=-2.0; { minimum arcsec }
   bm:=+2.0; { maximum arcsec }
   ym:=bm; { maximum on half y }
   pc:=182.0; { along the delta position }
   kx:=500; { area on x for two scales 2 * 240 }
   ky:=330; { area on y for three graphic }
   mx:=kx;
   my:=(ky-60) div 3 ;
   hx:=10; { the initial nullo point }
   hy:=ky; { for the axes x and y }
   hynul:=ky;
   xs:=((mx div 2)-2*hx-10)/pc; { unit scale on x axis , pc number of point }
   ys:=((my div 2)-5)/ym; { unit scale on y axis }
   WriteLn('number of points',pc:6:0);
   WriteLn('minimum and maximum',am:12:6,bm:12:6);
   WriteLn('unit on scale x and y',xs:18:10,ys:18:10);
   Assign(ft,'iaur01fc.tex'); { file with the TeX commands }
   ReWrite(ft);
   WriteLn(ft,'\begin{figure}[h]');
   WriteLn(ft,' \begin{center}');
   WriteLn(ft,' \begin{picture}(',(kx+10):1,',',(ky+10):1,')'); { area }
   nvar:=1;
 Repeat
   If  nvar = 1  Then  Assign(fr,'compcat1.prt'); { file with the numbers }
   If  nvar = 2  Then  Assign(fr,'compcat2.prt'); { file with the numbers }
   If  nvar = 3  Then  Assign(fr,'compcat3.prt'); { file with the numbers }
   ReSet(fr);
   pc:=182;
   { current nullo point for the axes y }
   hynul:=hynul-ky div 3;
   hy:=hynul+((ky div 3) div 2);
   WriteLn(ft,'  \put(',hx:1,',',(hy-(my div 2)-3):1, { the first axis OX }
              '){\vector(1,0){',((mx div 2)-2*hx):1,'}}');
   WriteLn(ft,'  \put(',hx:1,',',(hy-(my div 2)-3):1,
              '){\vector(0,1){',(my+6):1,'}}'); { axis OY }
   WriteLn(ft,'  \put(',(hx-10):1,',',(hy-4):1,'){0}'); { point 0 }
   If  nvar = 1
     Then
       WriteLn(ft,'  \put(',(hx-3):1,',',(ky+2):1,
                  '){${\bf \Delta \lambda \cdot \cos{\varphi}}$',
                  ' in ArcSec}'); { end Y }
   If  nvar = 1
     Then
       WriteLn(ft,'  \put(',(hx+Round(80*xs)):1,
                  ',',(hynul-3):1,'){2000.0}');
   If  nvar = 2
     Then
       WriteLn(ft,'  \put(',(hx+Round(80*xs)):1,
                  ',',(hynul-3):1,'){2010.0}');
   If  nvar = 3
     Then
       WriteLn(ft,'  \put(',(hx+Round(80*xs)):1,
                  ',',(hynul-3):1,'){2100.0}');
   WriteLn(ft,'  \put(',((mx div 2)+hx):1,
              ',',(hy-(my div 2)-3):1, { the second axis OX }
              '){\vector(1,0){',((mx div 2)-2*hx):3,'}}');
   WriteLn(ft,'  \put(',((mx div 2)+hx):1,',',(hy-(my div 2)-3):1,
              '){\vector(0,1){',(my+6):3,'}}'); { axis OY }
   WriteLn(ft,'  \put(',((mx div 2)+hx-10):1,',',(hy-4):1,'){0}'); { point 0 }
   WriteLn(ft,'  \put(',(mx-6):3,',',hynul:1,'){${\bf \varphi}$}'); { end X }
   If  nvar =1
     Then
       WriteLn(ft,'  \put(',((mx div 2)+hx-3):1,',',(ky+2):3,
                  '){${\bf \Delta \varphi}$ in ArcSec}'); { end Y }
   If  nvar = 1
     Then
       WriteLn(ft,'  \put(',((mx div 2)+hx+Round(80*xs)):1,
                  ',',(hynul-3):1,'){2000.0}');
   If  nvar = 2
     Then
       WriteLn(ft,'  \put(',((mx div 2)+hx+Round(80*xs)):1,
                  ',',(hynul-3):1,'){2010.0}');
   If  nvar = 3
     Then
       WriteLn(ft,'  \put(',((mx div 2)+hx+Round(80*xs)):1,
                  ',',(hynul-3):1,'){2100.0}');
   WriteLn(ft,'% unit on the first x axis');
   hycur:=hy-(my div 2)-3;
   tc:=30;
   Repeat
     px:=hx+Round(xs*tc);
     py:=hycur;
     WriteLn(ft,'   \put(',px:1,',',py:1,'){\line(0,1){3}}'); { on x }
     tc:=tc+30;
   Until  ( tc > pc ) ;
   tc:=90;
   Repeat
     px:=hx+Round(xs*tc);
     py:=hycur;
     WriteLn(ft,'   \put(',px:1,',',py:1,'){\line(0,1){5}}'); { on x }
     tc:=tc+90;
   Until  ( tc > pc ) ;
   px:=hx+Round(90*xs)-2;
   py:=hycur+10;
   WriteLn(ft,'  \put(',px:1,',',py:1,'){$0^{\circ}$}');
   px:=hx+Round(180*xs)-10;
   py:=hycur+10;
   WriteLn(ft,'  \put(',px:1,',',py:1,'){$+90^{\circ}$}');
   WriteLn(ft,'% unit on the second x axis');
   tc:=30;
   Repeat
     px:=(mx div 2)+hx+Round(xs*tc);
     py:=hycur;
     WriteLn(ft,'   \put(',px:1,',',py:1,'){\line(0,1){3}}'); { on x }
     tc:=tc+30;
   Until  ( tc > pc ) ;
   tc:=90;
   Repeat
     px:=(mx div 2)+hx+Round(xs*tc);
     py:=hycur;
     WriteLn(ft,'   \put(',px:1,',',py:1,'){\line(0,1){5}}'); { on x }
     tc:=tc+90;
   Until  ( tc > pc ) ;
   px:=(mx div 2)+hx+Round(90*xs)-2;
   py:=hycur+10;
   WriteLn(ft,'  \put(',px:1,',',py:1,'){$0^{\circ}$}');
   px:=(mx div 2)+hx+Round(180*xs)-10;
   py:=hycur+10;
   WriteLn(ft,'  \put(',px:1,',',py:1,'){$+90^{\circ}$}');
   WriteLn(ft,'% unit on the first y axis');
   ac:=+0.5;
   Repeat
     px:=hx;
     py:=hy+Round(ys*ac);
     WriteLn(ft,'   \put(',px:1,',',py:1,'){\line(1,0){3}}'); { on y }
     ac:=ac+0.5;
   Until  ac > ym ;
   ac:=-0.5;
   Repeat
     px:=hx;
     py:=hy+Round(ys*ac);
     WriteLn(ft,'   \put(',px:1,',',py:1,'){\line(1,0){3}}'); { on y }
     ac:=ac-0.5;
   Until  Abs(ac) > ym ;
   xm:=-1;
   ac:=-1;
   Repeat
     px:=hx;
     py:=hy+Round(ys*ac);
     WriteLn(ft,'   \put(',px:1,',',py:1,'){\line(1,0){5}}'); { on y }
     px:=px+8;
     py:=py-3;
     If  xm > 0
       Then
         WriteLn(ft,'    \put(',px:1,',',py:1,'){',Round(xm):1,'}')
       Else
         If  xm < 0
           Then
             WriteLn(ft,'    \put(',px:1,',',py:1,'){',Round(xm):1,'}');
     xm:=xm+1;
     ac:=ac+1;
   Until  ac > ym ;
   WriteLn(ft,'% unit on the second y axis');
   ac:=+0.5;
   Repeat
     px:=(mx div 2)+hx;
     py:=hy+Round(ys*ac);
     WriteLn(ft,'   \put(',px:1,',',py:1,'){\line(1,0){3}}'); { on y }
     ac:=ac+0.5;
   Until  ac > ym ;
   ac:=-0.5;
   Repeat
     px:=(mx div 2)+hx;
     py:=hy+Round(ys*ac);
     WriteLn(ft,'   \put(',px:1,',',py:1,'){\line(1,0){3}}'); { on y }
     ac:=ac-0.5;
   Until  Abs(ac) > ym ;
   xm:=-1;
   ac:=-1;
   Repeat
     px:=(mx div 2)+hx;
     py:=hy+Round(ys*ac);
     WriteLn(ft,'   \put(',px:1,',',py:1,'){\line(1,0){5}}'); { on y }
     px:=px+8;
     py:=py-3;
     If  xm > 0
       Then
         WriteLn(ft,'    \put(',px:1,',',py:1,'){',Round(xm):1,'}')
       Else
         If  xm < 0
           Then
             WriteLn(ft,'    \put(',px:1,',',py:1,'){',Round(xm):1,'}');
     xm:=xm+1;
     ac:=ac+1;
   Until  ac > ym ;
   WriteLn(ft,'  % point by point');
   ReSet(fr); { to read point by point }
   pc:=0.0;
   While  NOT EOF(fr)  Do
     Begin
       ReadLn(fr,ns,nc,ax,ay,bx,by); { the current point }
       pc:=ay+90.0; { delta in degree }
       bx:=bx; { in arc second }
       by:=by; { in arc second }
       px:=hx+Round(xs*pc); { point on the first x }
       py:=hy+Round(ys*bx); { point on the first y for alpha  }
       WriteLn(ft,'    \put(',px:1,',',py:1,
                  '){\circle*{2}}');
       px:=(mx div 2)+hx+Round(xs*pc); { point on the second x }
       py:=hy+Round(ys*by); { point on the second y for delta }
       WriteLn(ft,'    \put(',px:1,',',py:1,
                  '){\circle*{2}}');
     End;
   Close(fr);
   nvar:=nvar+1;
 Until  nvar = 4 ;
   WriteLn(ft,' \end{picture}');
   WriteLn(ft,' \end{center}');
   WriteLn(ft,' \caption{  ⥬  2000, 2010  2100 }');
   WriteLn(ft,' \label{diftwo}');
   WriteLn(ft,'\end{figure}');
   Close(ft);
 End.